import * as t from '@babel/types';
import { Metadata } from '../types';
export interface CSSOutput {
    css: string;
    variables: {
        name: string;
        expression: t.Expression;
    }[];
}
/**
 * Will return a CSS string and CSS variables array from an input node.
 *
 * @param node Node we're interested in extracting CSS from.
 * @param state Babel state - should house options and meta data used during the transformation.
 */
export declare const buildCss: (node: t.Expression, meta: Metadata) => CSSOutput;
